### Function

# Gdk content_deserialize_async

#### Declaration [src]

    void
    gdk_content_deserialize_async (
      GInputStream* stream,
      const char* mime_type,
      GType type,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Read content from the given input stream and deserialize it, asynchronously.

The default I/O priority is `G_PRIORITY_DEFAULT` (i.e. 0), and lower numbers indicate a higher priority.

When the operation is finished, `callback` will be called. You must then call gdk_content_deserialize_finish() to get the result of the operation.

#### Parameters

`stream` | `GInputStream*`
| A `GInputStream` to read the serialized content from.
| The data is owned by the caller of the function.
`mime_type` | `const char*`
| The mime type to deserialize from.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`type` | `GType`
| The GType to deserialize from.
`io_priority` | `int`
| The I/O priority of the operation.
`cancellable` | `GCancellable*`
| Optional `GCancellable` object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Callback to call when the operation is done.
`user_data` | `gpointer`
| Data to pass to the callback function.